/*
 * i386 implementation of the cmpxchg instruction
 *  
 */
#include <linux/spinlock.h>
#include <asm/atomic.h>

#include <asm/system.h>

#ifndef CONFIG_X86_CMPXCHG

spinlock_t cmpxchg_lock = SPIN_LOCK_UNLOCKED;

inline unsigned long cmpxchg(volatile void *ptr, unsigned long old,
                                    unsigned long new)
{
        unsigned long flags;
        unsigned long ret;

        spin_lock_irqsave(&cmpxchg_lock, flags);

        if(*(unsigned long *)ptr == old) {
                *(unsigned long *)ptr = new;
                ret = 0;
        } else
                ret = 1;

        spin_unlock_irqrestore(&cmpxchg_lock, flags);

        return ret;

}

#endif /* ifndef CONFIG_X86_CMPXCHG */

